Subject: Re: [PATCH iproute2-next v3 1/2] dcb: add new pcp-prio parameter to dcb app

From: Stephen Hemminger <[email-masked]>
Date: Mon, 5 Dec 2022 13:05:12 -0800

On Mon, 5 Dec 2022 19:19:35 +0000
<[email-masked]> wrote:

> > On Mon, 5 Dec 2022 09:19:06 +0000
> > <[email-masked]> wrote:
> >   
> > > > > Trying to understand your comment.
> > > > >
> > > > > Are you talking about not producing any JSON output with the symbolic
> > > > > PCP values? eg. ["1de", 1] -> [8, 1]. So basically print with PRINT_FP
> > > > > in case of printing in JSON context?
> > > > >
> > > > > /Daniel  
> > > >
> > > > What does output look like in json and non-json versions?  
> > >
> > > non-JSON: pcp-prio 1de:1
> > > JSON    : {"pcp_prio":[["1de",1]]}  
> > 
> > Would the JSON be better as:
> >         { "pcp_prio" :[ { "1de":1 } ] }
> > 
> > It looks like the PCP values are both unique and used in a name/value manner.  
> 
> In this case I think it would be best to stay consistent with the rest
> of the dcb app code. All priority mappings are printed using the
> dcb_app_print_filtered() (now also the pcp-prio), which creates an
> array, for whatever reason. 
> 
> If you are OK with this, I will go ahead and create v4, with the print
> warning removed.
> 
> /Daniel

I am ok with what ever you decide, just wanted to make sure you thought about it